Extending Qt Creator Manual | RefactoringChangesData

Extending Qt Creator Manual 4.5.2

# RefactoringChangesData Class

(TextEditor::RefactoringChangesData)

- List of all members, including inherited members

## Public Functions

| RefactoringChangesData()
virtual | ~RefactoringChangesData()
virtual void | fileChanged(const QString &fileName)
virtual void | indentSelection(const QTextCursor &selection, const QString &fileName, const TextDocument *textEditor) const
virtual void | reindentSelection(const QTextCursor &selection, const QString &fileName, const TextDocument *textEditor) const

## Member Function Documentation

### RefactoringChangesData::RefactoringChangesData()

Default constructs an instance of RefactoringChangesData.

### `[virtual]` RefactoringChangesData::~RefactoringChangesData()

Destroys the instance of RefactoringChangesData. The destructor is virtual.

### `[virtual]` void RefactoringChangesData::fileChanged(const QString &fileName)

### `[virtual]` void RefactoringChangesData::indentSelection(const QTextCursor &selection, const QString &fileName, const TextDocument *textEditor) const

### `[virtual]` void RefactoringChangesData::reindentSelection(const QTextCursor &selection, const QString &fileName, const TextDocument *textEditor) const